Bug 967284 - mongod fails to start from systemctl on f18 & f19
mongod fails to start from systemctl on f18 & f19
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathaniel McCallum
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 07:15 EDT by Gerard Ryan
Modified: 2014-02-05 16:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:33:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mongodb.log (2.92 KB, text/x-log)
2013-05-26 07:15 EDT, Gerard Ryan
no flags Details

  None (edit)
Description Gerard Ryan 2013-05-26 07:15:48 EDT
Created attachment 753291 [details]
mongodb.log

Description of problem:
On a new install of mongodb and mongodb-server, starting the server with `sudo systemctl start mongodb.service` fails. Here's output of systemctl status:

mongod.service - High-performance, schema-free document-oriented database
   Loaded: loaded (/usr/lib/systemd/system/mongod.service; disabled)
   Active: failed (Result: timeout) since Sun 2013-05-26 11:48:20 IST; 21min ago
  Process: 10885 ExecStart=/usr/bin/mongod $OPTIONS run (code=killed, signal=TERM)

May 26 11:46:51 localhost.localdomain mongod[10885]: forked process: 10887
May 26 11:46:51 localhost.localdomain mongod[10885]: all output going to: /var/log/mongodb/mongodb.log
May 26 11:46:51 localhost.localdomain mongod[10885]: log file [/var/log/mongodb/mongodb.log] exists; copied to temporary file [/var/log/mongodb/mongodb.log.2013-05-26T10-46-51]
May 26 11:48:20 localhost.localdomain systemd[1]: mongod.service operation timed out. Terminating.
May 26 11:48:20 localhost.localdomain systemd[1]: Failed to start High-performance, schema-free document-oriented database.
May 26 11:48:20 localhost.localdomain systemd[1]: Unit mongod.service entered failed state.


Version-Release number of selected component (if applicable):
Latest stable on both f18 and f19 (tried f19 in a vm to verify that it wasn't something changed in my f18 install)

How reproducible:
100% for me.


Steps to Reproduce:
1. Install mongod and mongodb-server via yum or dnf
2. sudo systemctl start mongod.service
3. Watch it fail after a minute or so

Actual results:
Fails to start.

Expected results:
Successfully starts

Additional info:
I'll attach the /var/log/mongodb/mongodb.log file in case that's useful to resolve this.

Also, it seems like it might be running out of memory, which is quite odd since I'm running a download of upstream mongod binary just fine.
Comment 1 Troy Dawson 2013-05-28 09:45:59 EDT
Have you checked to make sure you still have disk space?
By default, an initial startup of mongodb uses 3G of disk space.  It is fairly common for VM's to not have enough extra disk space for mongodb's intial startup.

Also, can you please state the version.
  rpm -q mongodb
Comment 2 Gerard Ryan 2013-05-28 14:28:07 EDT
Hi Troy, thanks for the response.

I've got plenty of space in /var on the installed f18 system (it has its own partition):

Filesystem                                             Size  Used Avail Use% Mounted on
/dev/mapper/luks-6d313161-8c4c-4b88-a823-de5a6d4f6888   96G   13G   79G  14% /var

That's where the space would be needed in this case, yes?

On the f19 vm, /var doesn't have its own partition, but the '/' partition has over 8GB free, apparently.

Here are the versions I have:
mongodb-2.2.4-2.fc18.x86_64
mongodb-server-2.2.4-2.fc18.x86_64
Comment 3 Johan Hedin 2013-06-30 10:46:35 EDT
Gerard, when I look at our log I suspect that mongod is terminated by systemd after a while since it has not yet fully started.

In your setup it seem to take a very long time for mongod to pre-allocate its journal files. It could be that the pid-file that mongod should create is created after the pre-allocation is completed and systemd looks for this file. When not found withing 60 seconds (?), systemd sends a SIGTERM to mongo and gives up.

You could experiment with settings in /etc/mongodb.conf to turn off pre-allocation and see if that helps.

On my Fedora 18 mongod starts ok.
Comment 4 Fedora End Of Life 2013-12-21 08:44:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:33:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.